Bug 122169 - XML Parsing Error when browsing filesystem
XML Parsing Error when browsing filesystem
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-01 05:40 EDT by neil
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 09:11:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description neil 2004-05-01 05:40:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.6)
Gecko/20040422

Description of problem:
When SaveAs dialog box opens - file chooser fails with the following
pop-up error:

XML Parsing Error: not well-formed 
Location: Chrome://global/content/filepicker.xul
Line Number 1, Column 4:

ent/global/filepicker.xulUT
___^

Version-Release number of selected component (if applicable):
mozilla-1.6-3

How reproducible:
Always

Steps to Reproduce:
1. direct mozilla to save any file from any location
2. direct mozilla to choose another application to open file with
    

Actual Results:  Error as described above

Expected Results:  File system browser should open to specify save
location or alternate program location

Additional info:
Comment 1 Adam Batkin 2004-05-06 22:53:31 EDT
Had the same problem. Upgraded to mozilla-1.6-5 and the problem
persisted until I removed my ~/.mozilla directory and now it works fine.
Comment 2 jeff millar 2004-10-09 11:44:44 EDT
OK...since deleting the whole ~/.mozilla directory is very painful
(email, bookmarks, etc), what's the one magic file that will fix this?
Comment 3 Erik Niklas 2004-12-12 20:17:22 EST
I had this problem on a SuSE 9.1 machine running Mozilla 1.6-74.14.  I
removed only the ~/.mozilla/default/<id>/XUL.mfasl file and that fixed
the problem.
Comment 4 John Thacker 2006-10-29 09:11:22 EST
Please note that FC1 and FC2 are no longer supported even by Fedora Legacy, and
that FC3 and FC4 are supported by Fedora Legacy only for security issues. 
Please install a still supported version and retest.  If this still occurs on
FC3 or FC4 and is a security issue, please reopen the bug and assign it to that
version and Fedora Legacy.  If it still occurs on FC5, please reopen and assign
to the correct version.  

mozilla was removed from FC6, although the seamonkey application suite,
available from Fedora Extras, is derived from it.  Similar bugs may also be
present in firefox, so if the bug occurs with firefox in FC6, the bug should be
reassigned to FC6 and the firefox component.

Note You need to log in before you can comment on or make changes to this bug.